# Record Class StConfiguration.OpenTelemetry.Traces

java.lang.Object
java.lang.Record
com.io7m.stonesignal.server.StConfiguration.OpenTelemetry.Traces

Record Components:
  `endpoint` - The endpoint to which OTLP trace data will be sent.
  `protocol` - The protocol used to deliver OpenTelemetry data.

Enclosing class:
  `StConfiguration.OpenTelemetry`

public static record StConfiguration.OpenTelemetry.Traces(URI endpoint, StConfiguration.OpenTelemetry.OTLPProtocol protocol) extends Record
Trace configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Traces(URI endpoint, StConfiguration.OpenTelemetry.OTLPProtocol protocol)`
  Trace configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `endpoint()`
  Returns the value of the `endpoint` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `StConfiguration.OpenTelemetry.OTLPProtocol`
  `protocol()`
  Returns the value of the `protocol` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Traces

    public Traces(@JsonPropertyDescription("The endpoint address for OTLP data.") URI endpoint, @JsonPropertyDescription("The protocol used to deliver OTLP data.") StConfiguration.OpenTelemetry.OTLPProtocol protocol)
    Trace configuration.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### endpoint

    @JsonPropertyDescription("The endpoint address for OTLP data.") public URI endpoint()
    Returns the value of the `endpoint` record component.
    Returns:
      the value of the `endpoint` record component

  - ### protocol

    @JsonPropertyDescription("The protocol used to deliver OTLP data.") public StConfiguration.OpenTelemetry.OTLPProtocol protocol()
    Returns the value of the `protocol` record component.
    Returns:
      the value of the `protocol` record component